CREATE TABLE gms_references_b (
    REFERENCE_ID             NUMBER(18, 0),
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    REFERENCE_ID             NUMBER(18, 0),
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_gms_references_b PRIMARY KEY (REFERENCE_ID, REFERENCE_ID)
);
